1.0

1.0

get /v1/engine-versions

Description

List Engine Versions.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = mysql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}